class CuratorAssignmentsService

    def initialize(submission, old_curators = nil)
        @submission = submission
        @old_curators = old_curators

    end
    def assign
        curators = User.joins(:roles).where(roles: {name: "curator"}).left_joins(:curator_assignments).group('"users"."id"').order('COUNT("curator_assignments"."user_id") ASC').where.not(id: @old_curators).first(5)
        @submission.assignees << curators
        #TODO: notify curators (email?)
    end

end
