namespace :submission do
  desc 'Assign not evaluated submission to more curators'
  task reassign: :environment do
    submissions = Submission.where('status=? AND updated_at<?', Submission.statuses["submitted"], 7.day.ago)
    
    submissions.each do |s|
      old_curators = CuratorAssignment.select("user_id").where(submission_id: s.id)
      CuratorAssignmentsService.new(s, old_curators).assign
      s.touch
    end
  end

end
