
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

License.where(name: 'CC BY').first_or_create.update(description: 'Esta licença permite que outros distribuam, remixem, adaptem e criem a partir do seu trabalho, mesmo para fins comerciais, desde que lhe atribuam o devido crédito pela criação original', url: 'https://creativecommons.org/licenses/by/4.0/deed.pt_BR', image_url: 'https://licensebuttons.net/l/by/3.0/88x31.png')
License.where(name: 'CC BY-SA').first_or_create.update(description: 'Esta licença permite que outros remixem, adaptem e criem a partir do seu trabalho, mesmo para fins comerciais, desde que lhe atribuam o devido crédito e que licenciem as novas criações sob termos idênticos', url: 'https://creativecommons.org/licenses/by-sa/4.0/deed.pt_BR', image_url: 'https://licensebuttons.net/l/by-sa/3.0/88x31.png')
License.where(name: 'CC BY-ND').first_or_create.update(description: 'Creative Commons Atribuição-SemDerivações', url: 'https://creativecommons.org/licenses/by-nd/4.0/deed.pt_BR', image_url: 'https://licensebuttons.net/l/by-nd/3.0/88x31.png')
License.where(name: 'CC BY-NC').first_or_create.update(description: 'Esta licença permite que outros remixem, adaptem e criem a partir do seu trabalho para fins não comerciais e, embora os novos trabalhos tenham de lhe atribuir o devido crédito e não possam ser usados para fins comerciais, os usuários não têm de licenciar esses trabalhos derivados sob os mesmos termos', url: 'https://creativecommons.org/licenses/by-nc/4.0/deed.pt_BR', image_url: 'https://licensebuttons.net/l/by-nc/3.0/88x31.png')
License.where(name: 'CC BY-NC-SA').first_or_create.update(description: 'Esta licença permite que outros remixem, adaptem e criem a partir do seu trabalho para fins não comerciais, desde que atribuam o devido crédito e que licenciem as novas criações sob termos idênticos', url: 'https://creativecommons.org/licenses/by-nc-sa/4.0/deed.pt_BR', image_url: 'https://licensebuttons.net/l/by-nc-sa/3.0/88x31.png')
License.where(name: 'CC BY-NC-ND').first_or_create.update(description: 'Creative Commons Atribuição-SemDerivações-SemDerivados', url: 'https://creativecommons.org/licenses/by-nc-nd/4.0/deed.pt_BR', image_url: 'https://licensebuttons.net/l/by-nc-nd/3.0/88x31.png')
License.where(name: 'MIT').first_or_create.update(description: 'MIT', url: 'https://opensource.org/licenses/MIT', image_url: '')
License.where(name: 'GPL-2.0').first_or_create.update(description: 'GNU General Public License v2', url: 'https://opensource.org/licenses/GPL-2.0', image_url: '')
License.where(name: 'GPL-3.0').first_or_create.update(description: 'GNU General Public License v3', url: 'https://opensource.org/licenses/GPL-3.0', image_url: '')
License.where(name: 'Apache').first_or_create.update(description: 'Apache v2', url: 'https://www.apache.org/licenses/LICENSE-2.0', image_url: '')
License.where(name: 'No information available').first_or_create.update(description: 'No information available', url: '', image_url: '')
